KDE 4.9 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.nepomuk import *`

## Detailed Description

## Class Index

A | N | ResourceTypeTerm (Nepomuk.Query)
AndTerm (Nepomuk.Query) | NegationTerm (Nepomuk.Query) | Result (Nepomuk.Query)
C | O | S
Class (Nepomuk.Types) | Ontology (Nepomuk.Types) | Service (Nepomuk)
ComparisonTerm (Nepomuk.Query) | OptionalTerm (Nepomuk.Query) | SimpleTerm (Nepomuk.Query)
E | OrTerm (Nepomuk.Query) | T
Entity (Nepomuk.Types) | P | Tag (Nepomuk)
F | Property (Nepomuk.Types) | TagCloud (Nepomuk)
File (Nepomuk) | Q | KTagCloudWidget
FileQuery (Nepomuk.Query) | Query (Nepomuk.Query) | KTagDisplayWidget
G | QueryParser (Nepomuk.Query) | TagWidget (Nepomuk)
GroupTerm (Nepomuk.Query) | QueryServiceClient (Nepomuk.Query) | Term (Nepomuk.Query)
L | R | Thing (Nepomuk)
Literal (Nepomuk.Types) | RequestProperty (Nepomuk.Query.Query) | V
LiteralTerm (Nepomuk.Query) | Resource (Nepomuk) | Variant (Nepomuk)
M | ResourceManager (Nepomuk) |
MassUpdateJob (Nepomuk) | ResourceTerm (Nepomuk.Query) |

## Functions

Nepomuk::Query::TermPrivate | QSharedDataPointer<Nepomuk::Query::TermPrivate>::clone ()
QDebug | operator << (QDebug a0, Nepomuk.Query.Query a1)
QDebug | operator << (QDebug a0, Nepomuk.Query.Term a1)
QDebug | operator << (QDebug dbg, Nepomuk.Variant a1)

## Function Documentation

Nepomuk::Query::TermPrivate QSharedDataPointer<Nepomuk::Query::TermPrivate>::clone | ( |  | ) |

\cond hide_nepomuk_term_clone_from_doxygen

QDebug operator << | ( | QDebug | a0,
|  | Nepomuk.Query.Query | a1
| ) |  |  |

\endcond

QDebug operator << | ( | QDebug | a0,
|  | Nepomuk.Query.Term | a1
| ) |  |  |

\endcond

QDebug operator << | ( | QDebug | dbg,
|  | Nepomuk.Variant | a1
| ) |  |  |

\endcond